﻿import { Injectable } from '@angular/core';

@Injectable()
export class MessageService {

    info(message: string, title?: string): any {
        return next.message.info(message, title);
    }

    success(message: string, title?: string): any {
        return next.message.success(message, title);
    }

    warn(message: string, title?: string): any {
        return next.message.warn(message, title);
    }

    error(message: string, title?: string): any {
        return next.message.error(message, title);
    }

    confirm(message: string, callback?: (result: boolean) => void): any;
    confirm(message: string, title?: string, callback?: (result: boolean) => void): any;

    confirm(message: string, titleOrCallBack?: string | ((result: boolean) => void), callback?: (result: boolean) => void): any {
        if (typeof titleOrCallBack == 'string') {
            return next.message.confirm(message, titleOrCallBack as string, callback);
        } else {
            return next.message.confirm(message, titleOrCallBack as ((result: boolean) => void));
        }
    }

}